Loading...
Searching...
No Matches
Opm::ParameterCacheBase< Implementation > Class Template Reference

The base class of the parameter caches of fluid systems. More...

`#include <ParameterCacheBase.hpp>`

Inheritance diagram for Opm::ParameterCacheBase< Implementation >:

## Public Types

enum | ExceptQuantities { None = 0 , Temperature = 1 , Pressure = 2 , Composition = 4 }
| Constants for ORing the quantities of the fluid state that have not changed since the last update. More...

## Public Member Functions

template<class OtherCache>
void | assignPersistentData (const OtherCache &)
| Copy the data which is not dependent on the type of the Scalars from another parameter cache.
template<class FluidState>
void | updateAll (const FluidState &fluidState, int=None)
| Update the quantities of the parameter cache for all phases.
template<class FluidState>
void | updateAllPressures (const FluidState &fluidState)
| Update pressure dependent quantities of the parameter cache for all phases.
template<class FluidState>
void | updateAllTemperatures (const FluidState &fluidState)
| Update temperature dependent quantities of the parameter cache for all phases.
template<class FluidState>
void | updatePhase (const FluidState &, unsigned, int=None)
| Update all cached parameters of a specific fluid phase.
template<class FluidState>
void | updateTemperature (const FluidState &fluidState, unsigned phaseIdx)
| Update all cached parameters of a specific fluid phase which depend on temperature.
template<class FluidState>
void | updatePressure (const FluidState &fluidState, unsigned phaseIdx)
| Update all cached parameters of a specific fluid phase which depend on pressure.
template<class FluidState>
void | updateComposition (const FluidState &fluidState, unsigned phaseIdx)
| Update all cached parameters of a specific fluid phase which depend on composition.
template<class FluidState>
void | updateSingleMoleFraction (const FluidState &fluidState, unsigned phaseIdx, unsigned)
| Update all cached parameters of a specific fluid phase which depend on the mole fraction of a single component.

## Detailed Description

template<class Implementation>
class Opm::ParameterCacheBase< Implementation >

The base class of the parameter caches of fluid systems.

## Member Enumeration Documentation

## ExceptQuantities

template<class Implementation>

enum Opm::ParameterCacheBase::ExceptQuantities

Constants for ORing the quantities of the fluid state that have not changed since the last update.

Enumerator
None | All quantities have been (potentially) modified.
Temperature | The temperature has not been modified.
Pressure | The pressures have not been modified.
Composition | The compositions have not been modified.

## Member Function Documentation

## updateAll()

template<class Implementation>
template<class FluidState>

void Opm::ParameterCacheBase< Implementation >::updateAll | ( | const FluidState & | fluidState,
|  | int | = None )

inline

Update the quantities of the parameter cache for all phases.

Parameters

  fluidState | The representation of the thermodynamic system of interest.
  exceptQuantities | The quantities of the fluid state that have not changed since the last update.

## updateAllPressures()

template<class Implementation>
template<class FluidState>

void Opm::ParameterCacheBase< Implementation >::updateAllPressures | ( | const FluidState & | fluidState | ) |

inline

Update pressure dependent quantities of the parameter cache for all phases.

This method should be called if only the phase pressures changed since the last call to an update() method.

Parameters

  fluidState | The representation of the thermodynamic system of interest.

## updateAllTemperatures()

template<class Implementation>
template<class FluidState>

void Opm::ParameterCacheBase< Implementation >::updateAllTemperatures | ( | const FluidState & | fluidState | ) |

inline

Update temperature dependent quantities of the parameter cache for all phases.

This method should be called if only the phase temperatures changed since the last call to an update() method.

Parameters

  fluidState | The representation of the thermodynamic system of interest.

## updateComposition()

template<class Implementation>
template<class FluidState>

void Opm::ParameterCacheBase< Implementation >::updateComposition | ( | const FluidState & | fluidState,
|  | unsigned | phaseIdx )

inline

Update all cached parameters of a specific fluid phase which depend on composition.

Only use this method if neither the pressure nor the temperature of the phase changed between two update*() calls. If more changed, call updatePhase()!

Parameters

  fluidState | The representation of the thermodynamic system of interest.
  phaseIdx | The index of the fluid phase of interest.

## updatePhase()

template<class Implementation>
template<class FluidState>

void Opm::ParameterCacheBase< Implementation >::updatePhase | ( | const FluidState & | ,
|  | unsigned | ,
|  | int | = None )

inline

Update all cached parameters of a specific fluid phase.

Parameters

  fluidState | The representation of the thermodynamic system of interest.
  phaseIdx | The index of the fluid phase of interest.
  exceptQuantities | The quantities of the fluid state that have not changed since the last update.

## updatePressure()

template<class Implementation>
template<class FluidState>

void Opm::ParameterCacheBase< Implementation >::updatePressure | ( | const FluidState & | fluidState,
|  | unsigned | phaseIdx )

inline

Update all cached parameters of a specific fluid phase which depend on pressure.

Only use this method if only the pressure of a phase changed between two update*() calls. If more changed, call updatePhase()!

Parameters

  fluidState | The representation of the thermodynamic system of interest.
  phaseIdx | The index of the fluid phase of interest.

## updateSingleMoleFraction()

template<class Implementation>
template<class FluidState>

void Opm::ParameterCacheBase< Implementation >::updateSingleMoleFraction | ( | const FluidState & | fluidState,
|  | unsigned | phaseIdx,
|  | unsigned | )

inline

Update all cached parameters of a specific fluid phase which depend on the mole fraction of a single component.

Only use this method if just a single component's concentration changed between two update*() calls. If more than one concentration changed, call updatePhaseComposition() of updatePhase()!

Parameters

  fluidState | The representation of the thermodynamic system of interest.
  phaseIdx | The index of the fluid phase of interest.
  compIdx | The component index of the component for which the mole fraction was modified in the fluid phase of interest.

## updateTemperature()

template<class Implementation>
template<class FluidState>

void Opm::ParameterCacheBase< Implementation >::updateTemperature | ( | const FluidState & | fluidState,
|  | unsigned | phaseIdx )

inline

Update all cached parameters of a specific fluid phase which depend on temperature.

Only use this method if only the temperature of a phase changed between two update*() calls. If more changed, call updatePhase()!

Parameters

  fluidState | The representation of the thermodynamic system of interest.
  phaseIdx | The index of the fluid phase of interest.

The documentation for this class was generated from the following file:

- opm/material/fluidsystems/ParameterCacheBase.hpp